Bug 609008 - virt-manager: does not recognize VM migration to another node in the cluster (rgmanager)
virt-manager: does not recognize VM migration to another node in the cluster ...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.5.z
All Linux
medium Severity medium
: rc
: ---
Assigned To: Cole Robinson
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 03:35 EDT by yeylon@redhat.com
Modified: 2016-04-18 02:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-23 13:16:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (144.38 KB, application/zip)
2010-06-29 03:35 EDT, yeylon@redhat.com
no flags Details
virt-manager (32.18 KB, image/png)
2010-06-29 03:37 EDT, yeylon@redhat.com
no flags Details
virt-manager.log (13.38 KB, application/zip)
2010-06-29 09:20 EDT, yeylon@redhat.com
no flags Details

  None (edit)
Description yeylon@redhat.com 2010-06-29 03:35:08 EDT
Created attachment 427596 [details]
/var/log/messages

Description of problem:

i'm working with Conga - cluster and storage management system.

i've selected to make a node leave the cluster. this node has a vm service running on it.
as a result of the "leave cluster operation" both ricci & rgmanager services has stopped on that node but the VM in the virt-manager GUI stay as running.

the VM actually moved to the other node in the cluster. (no KVM process is running on the node)

i'm attaching both /var/log/messages from the host and the screen shot from the virt-manager GUI.

[root@green-vdsb ~]# ps -aux | grep kvm
Warning: bad syntax, perhaps a bogus '-'? See /usr/share/doc/procps-3.2.7/FAQ
root     12235  0.0  0.0  61160   724 pts/8    S+   10:33   0:00 grep kvm
[root@green-vdsb ~]#


[root@green-vdsa ~]#
[root@green-vdsa ~]# ps -aux | grep kvm
Warning: bad syntax, perhaps a bogus '-'? See /usr/share/doc/procps-3.2.7/FAQ
root      5265  4.5 12.5 2314308 2070764 ?     Sl   10:19   0:40 /usr/libexec/qemu-kvm -S -M rhel5.4.0 -m 2048 -smp 1 -name RHEVM-HA -uuid 00000000-0000-0000-0000-000000000002 -no-kvm-pit-reinjection -monitor pty -pidfile /var/run/libvirt/qemu//RHEVM-HA.pid -localtime -boot c -drive file=/dev/rhevm-cluster01/rhev-image,if=ide,index=0,boot=on,cache=none -drive file=/home/iso/windows_server_2008_r2.iso,if=ide,media=cdrom,index=2 -net nic,macaddr=00:1a:4a:23:66:fd,vlan=0 -net tap,fd=16,script=,vlan=0,ifname=vnet0 -serial pty -parallel none -usb -usbdevice tablet -vnc 127.0.0.1:0 -k en-us
root      7280  0.0  0.0  61192   740 pts/1    S+   10:34   0:00 grep kvm
[root@green-vdsa ~]#





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Jun 29 10:09:17 green-vdsb clurgmgrd: [5499]: <err> Could not determine Hypervisor
Jun 29 10:09:17 green-vdsb clurgmgrd[5499]: <notice> status on vm "RHEVM-HA" returned 2 (invalid argument(s))
Jun 29 10:09:17 green-vdsb clurgmgrd[5499]: <notice> Stopping service vm:RHEVM-HA
Jun 29 10:09:17 green-vdsb clurgmgrd: [5499]: <err> Could not determine Hypervisor
Jun 29 10:09:17 green-vdsb clurgmgrd[5499]: <notice> stop on vm "RHEVM-HA" returned 2 (invalid argument(s))
Jun 29 10:09:17 green-vdsb clurgmgrd[5499]: <crit> #12: RG vm:RHEVM-HA failed to stop; intervention required
Jun 29 10:09:17 green-vdsb clurgmgrd[5499]: <notice> Service vm:RHEVM-HA is failed
Comment 1 yeylon@redhat.com 2010-06-29 03:37:52 EDT
Created attachment 427598 [details]
virt-manager
Comment 2 Daniel Berrange 2010-06-29 08:39:26 EDT
Please attach the '$HOME/.virt-manager/virt-manager.log' file, and also the output from  'virsh list --all' on both hosts.
Comment 3 yeylon@redhat.com 2010-06-29 09:20:26 EDT
Created attachment 427681 [details]
virt-manager.log
Comment 4 yeylon@redhat.com 2010-06-29 09:21:42 EDT
virt-manager.log was added but the virsh list --all will do no good at this point due to the hosts has been rebooted.
Comment 5 Cole Robinson 2010-08-21 13:59:30 EDT
Hmm, Yaniv, the virsh list --all info is pretty important. Can you still reproduce this? If so, please provide virsh list --all from each host before and after the migration, and the output of virt-manager --no-fork --debug when running throughout the whole process. That should determine whether it's a virt-manager issue.
Comment 6 Cole Robinson 2010-11-23 13:16:07 EST
This bug hasn't had much activity since the initial filing, so closing. If anyone can reproduce, please reopen with the info requested in Comment #2

Note You need to log in before you can comment on or make changes to this bug.